using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DbCommon.Enties.DbModels
{
    public class MaterialBinding
    {
        [SugarColumn(IsPrimaryKey = true, Length = 50)]
        public string TaskID { get; set; }
        public int CarrierID { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialID { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialName { get; set; }

        [SugarColumn(IsNullable = true)]
        public string MaterialBarcode { get; set; }
        public int MaterialType { get; set; }
        public int MaterialNumber { get; set; }
        public int MaterialLevel { get; set; }
        public double MaterialWeight { get; set; }

        [SugarColumn(IsNullable = true)]
        public string BatchNumber { get; set; }
    }
}

